Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class ServiceTaskHandler

    java.lang.Object
      org.drools.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler
              org.jbpm.bpmn2.xml.TaskHandler
                  org.jbpm.bpmn2.xml.ServiceTaskHandler

All Implemented Interfaces:
  org.drools.xml.Handler

    public class ServiceTaskHandler

extends TaskHandler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`dataInputs, dataOutputs, EOL`

Fields inherited from class org.drools.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`ServiceTaskHandler()`

Method Summary
`protected Node` | `createNode(Attributes attrs)`
`Class` | `generateNodeFor()`
`protected String` | `getTaskName(Element element)`
`protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.xml.ExtensibleXmlParser parser)`
`void` | `writeNode(Node node, StringBuilder xmlDump, boolean includeMeta)`

Methods inherited from class org.jbpm.bpmn2.xml.TaskHandler
`end, handleForEachNode, readDataInputAssociation, readDataInputAssociation, readDataOutputAssociation, readMultiInstanceLoopCharacteristics, writeNode`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`endNode, endNode, extractScript, handleScript, initValidParents, initValidPeers, readIoSpecification, start, writeNode, writeScript, writeScripts, writeScripts`

Methods inherited from class org.drools.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### ServiceTaskHandler

    public ServiceTaskHandler()

Method Detail

### createNode

    protected Node createNode(Attributes attrs)

  Overrides:
    `createNode` in class `TaskHandler`

### generateNodeFor

    public Class generateNodeFor()

  Specified by:
    `generateNodeFor` in interface `org.drools.xml.Handler`
  Overrides:
    `generateNodeFor` in class `TaskHandler`

### handleNode

    protected void handleNode(Node node,
                              Element element,
                              String uri,
                              String localName,
                              org.drools.xml.ExtensibleXmlParser parser)
                       throws SAXException

  Overrides:
    `handleNode` in class `TaskHandler`
  Throws:
    `SAXException`

### getTaskName

    protected String getTaskName(Element element)

  Overrides:
    `getTaskName` in class `TaskHandler`

### writeNode

    public void writeNode(Node node,
                          StringBuilder xmlDump,
                          boolean includeMeta)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.